summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Barbato <lu_zero@gentoo.org>2006-05-30 18:44:04 +0000
committerLuca Barbato <lu_zero@gentoo.org>2006-05-30 18:44:04 +0000
commit94f818120993f91b945067a2cb723717ee976687 (patch)
tree20642c5f426364ba856249d8a87e9f1a7aaf1ab4 /media-video/motion/files
parentnew version, has fix for as-needed included, fixes #131841 (diff)
downloadhistorical-94f818120993f91b945067a2cb723717ee976687.tar.gz
historical-94f818120993f91b945067a2cb723717ee976687.tar.bz2
historical-94f818120993f91b945067a2cb723717ee976687.zip
New version, ebuild kindly provided by Marko Djukic <djukic@gmail.com> and Andreas Hinterland <ich@meister-rohrfix.de> in bug #107650
Package-Manager: portage-2.1_rc2-r3
Diffstat (limited to 'media-video/motion/files')
-rw-r--r--media-video/motion/files/digest-motion-3.2.43
-rw-r--r--media-video/motion/files/motion.init28
2 files changed, 31 insertions, 0 deletions
diff --git a/media-video/motion/files/digest-motion-3.2.4 b/media-video/motion/files/digest-motion-3.2.4
new file mode 100644
index 000000000000..fe9c8cbe80e1
--- /dev/null
+++ b/media-video/motion/files/digest-motion-3.2.4
@@ -0,0 +1,3 @@
+MD5 ce0a4f5cea6c59ebd7b2d12a5f95b07d motion-3.2.4.tar.gz 360850
+RMD160 09687750161ba37bda6f96d7722d6023b143afd4 motion-3.2.4.tar.gz 360850
+SHA256 31b862c9bafc3b1682627ca6e93bf8aa4559ec7f0385f0bf6dbceb91afee3530 motion-3.2.4.tar.gz 360850
diff --git a/media-video/motion/files/motion.init b/media-video/motion/files/motion.init
new file mode 100644
index 000000000000..7b930bfb0184
--- /dev/null
+++ b/media-video/motion/files/motion.init
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-video/motion/files/motion.init,v 1.1 2006/05/30 18:44:04 lu_zero Exp $
+
+opts="${opts} reload"
+
+depend() {
+ need modules
+}
+
+start() {
+ ebegin "Starting motion detection"
+ start-stop-daemon --start --quiet --exec /usr/bin/motion
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping motion detection"
+ start-stop-daemon --stop --quiet --exec /usr/bin/motion
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading motion detection configuration"
+ start-stop-daemon --stop --signal HUP --exec /usr/bin/motion
+ eend $?
+}